List live cluster Scaleway instance types
import requests
url = "https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/instance-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/instance-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/instance-types \
--header 'Authorization: Bearer <token>'{
"instance_types": [
{
"arch": "x86_64",
"available": true,
"hourly_eur": 0.02,
"memory_bytes": 4294967296,
"monthly_eur": 14.6,
"name": "DEV1-M",
"vcpus": 3
}
],
"pricing_complete": true
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Scaleway Clusters
List live cluster Scaleway instance types
Bearer PAT authentication; RBAC permission clusters.read. Catalog prices carry currency/SKU metadata and explicit incomplete-pricing reasons.
GET
/
api
/
v1
/
clusters
/
scaleway
/
{cluster_id}
/
instance-types
List live cluster Scaleway instance types
import requests
url = "https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/instance-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/instance-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/instance-types \
--header 'Authorization: Bearer <token>'{
"instance_types": [
{
"arch": "x86_64",
"available": true,
"hourly_eur": 0.02,
"memory_bytes": 4294967296,
"monthly_eur": 14.6,
"name": "DEV1-M",
"vcpus": 3
}
],
"pricing_complete": true
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
PAT organisation override.